## dpkg 1.17.12

=== debian/changelog ===
dpkg (1.17.12) unstable; urgency=low

  [ Guillem Jover ]
  * Only build the compatibility selinux code if libselinux is available or
    the user requested it. Also fixes build failures on non-Linux systems.
    Closes: #757637
  * Documentation:
    - Add a short description to each virtual field in dpkg-query(1), and
      mention the version they got introduced in dpkg.
    - Fix formatting of last paragraphs inside dselect(1) --color description.
  * Rework dselect columns code, to make it easier to maintain and read.
  * Add new architecture columns to dselect package list view. The new
    columns, shown by default, can be turned off with the new ‘A’ key,
    or bound to another key via the new “archdisplay” keybinding.
  * Fix a descriptor leak on dselect subprocesses when --debug is used.
  * Use «tar --format=gnu» when creating source archives. This makes sure we
    get a deterministic output format, regardless of what tar defaults to.
    Thanks to Jan Blunck <jblunck@infradead.org>..
  * Use perl's length instead of defined when checking some environment
    variables, if we require them to have content.
  * Allow specifying the same build type option multiple times in
    dpkg-buildpackage and dpkg-genchanges. There seems to be scripts with
    such invocations in the wild. Closes: #757795

  [ Updated programs translations ]
  * German (Sven Joachim).

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Fri, 15 Aug 2014 03:30:39 +0200

dpkg (1.17.11) unstable; urgency=low

  [ Guillem Jover ]
  * Switch URLs in docs and code comments from http:// to https:// if the
    latter is available (round two). This includes the quilt patch header
    templates, and examples in man pages.
  * Update some dpkg git URLs to the new and newer (cgit switch) scheme.
  * Changes to libcompat:
    - Make the library testable.
    - Do not run qsort() over the scandir() list if it is NULL.
    - Add a setexecfilecon() compatibility function out from dpkg code.
  * Use SELinux setexecfilecon() if available in dpkg instead of ad-hoc code.
  * Replace obsolete <sys/fcntl.h> with <fcntl.h>, which fixes compilation on
    Android. Thanks to Fredrik Fornwall <fredrik@fornwall.net>. Closes: #752036
  * Fix file triggers/Unincorp descriptor leak on subprocesses. Regression
    introduced with the initial triggers implementation in dpkg 1.14.17.
    Closes: #751021
  * Do not disable the stack-protector build flags on arm64 in Debian and
    derivatives, the toolchain supports them now.
    Thanks to Adam Conrad <adconrad@debian.org>. Closes: #751032
  * When parsing the statoverride database from dpkg-statoverride do not
    consider it an error and refuse to operate at all if the user or group
    names are not known to the system, just preserve them. Closes: #563307
  * Do not write to the available file when unpacking binary packages. This
    information is not useful as dpkg has never recorded the archive path,
    so it has never been truly available for re-installation anyway.
  * Add versioned Provides support:
    - Add a new dpkg --assert-versioned-provides command.
    - Packages can provide a specific version, “virtual (= 1.0)” which will
      be honored, previously it would just be accepted when parsing.
    - Non-versioned virtual packages will not satisfy versioned dependencies.
    - Versioned virtual packages will satisfy non-versioned dependencies.
    Based on skeletal code by Ben Collins <bcollins@debian.org>.
    Closes: #7330, #24934, #112131, #134582, #180316
  * On removal check Depends and Pre-Depends for packages in unpacked and
    half-configured states too.
  * Add support for new hardening build flag stackprotectorstrong in Debian
    and derivatives, enabled by default. It will fallback to stackprotector
    when the former is not functional or disabled by the user.
    Thanks to Romain Francoise <rfrancoise@debian.org>.
  * Change «dpkg-deb --field» code to use the libdpkg deb822 parser instead
    of an ad-hoc one. This makes sure any field fixup and sanity check is
    performed on the input, and gets reflected on the output.
  * Add new dpkg-query virtual fields db:Status-Want, db:Status-Status and
    db:Status-Eflag to allow fine-grained access to the Status values.
  * Automatically add the Testsuite field in dpkg-source to the .dsc file.
  * Spell nocheck option in dpkg-scanpackages wait_child() call correctly.
    Spotted by James McCoy <jamessan@debian.org> (in devscripts).
  * Move the explanation of functional checks from --verify-format to the
    --verify command in the dpkg(1) man page. Closes: #747264
  * Improve dpkg-buildpackage(1) man page:
    - Mark DEB_CHECK_COMMAND environment variable in bold.
    - Add final item for done hook in the actions sequence.
    - Mention that -nc does not apply either when -F is specified.
    - Mention that the --FOO-option options can be used multiple times.
    - Fix a typo in the BUGS section.
  * Mark the “and” between the filenames as regular format in dpkg-source(1).
  * Add --format and --ignore-bad-version to dpkg-source --help output.
  * Clarify error message in Dpkg::Source::Quilt when patches fail to apply,
    to note that the patch might be malformed (besides not accepting patches
    with fuzz).
  * Try to preallocate the disk size for extracted files on unpack. This
    might help in avoiding filesystem fragmentation, and possibly improve
    performance on some filesystems.
  * Print the correct removed binary filename when building a source package
    with dpkg-source --include-removal. Closes: #755166
  * Add powerpcel support to cputable. Thanks to Jae Junh <jaejunh@embian.com>.
  * Bump the i386 architecture GNU triplet to i586-linux-gnu to match the
    change in gcc. Somewhat reluctantly, as i386 wants to be its unique

