=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Origin: debian
 Bugs: debbugs://bugs.debian.org
 Homepage: https://wiki.debian.org/Teams/Dpkg
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dpkg/dpkg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg.git
 Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), pkg-config, flex,
