## dpkg 1.17.12b1

=== debian/changelog ===
dpkg (1.17.12b1) staging; urgency=medium

  * Sync from unstable 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Aug 2014 21:16:38 +0200
