## dpkg 1.17.13

=== debian/changelog ===
dpkg (1.17.13) unstable; urgency=low

  [ Guillem Jover ]
  * Remove unbalanced trailing single-quote in dpkg-deb error message.
    Reported by Trần Ngọc Quân <vnwildman@gmail.com>.
  * Remove architecture blacklist from hardening build flag option
    stackprotectorstrong. Thanks to Romain Francoise <rfrancoise@debian.org>.
  * Documentation:
    - Merge binary:Package descriptions in dpkg-query(1).
    - Split --remove and --purge options in dpkg(1). This also clarifies on
      which package states each option can operate. Closes: #576338
    - Remove duplicate “of the” in dpkg-maintscript-helper(1).
  * Fix dpkg-maintscript-helper dir_to_symlink to handle relative symlink
    targets. Thanks to Helmut Grohne <helmut@subdivi.de>.
  * Fix dpkg-maintscript-helper symlink_to_dir to assure absolute pathnames
    arguments.
  * Fix dpkg-source not detecting modified files during --commit or -b.
    Regression introduced in dpkg 1.17.11. Closes: #758426
    Reported by Neil Williams <codehelp@debian.org>.
  * Only test the strerror() compatible code if sys_errlist and sys_nerr
    are present. This fixes a build failure on GNU/Hurd. Closes: #758199
  * Switch start-stop-daemon on GNU/kFreeBSD systems to use libkvm, instead
    of relying on linprocfs which is not the native procfs on kFreeBSD, and it
    is usually not mounted as FreeBSD programs do not expect it to be present.

  [ Updated programs translations ]
  * Czech (Miroslav Kure).
  * German (Sven Joachim).
  * Vietnamese (Trần Ngọc Quân).

  [ Updated manpages translations ]
  * French (Jean-Pierre Giraud, Vincent Thomas, Raphaël Hertzog).

  [ Updated scripts translations ]
  * French (Raphaël Hertzog).
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Tue, 19 Aug 2014 20:14:45 +0200
