=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  gettext (>= 0.18), po4a (>= 0.41),
  zlib1g-dev, libbz2-dev, liblzma-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
+ libkvm-dev [kfreebsd-any],
  libncursesw5-dev,
  libtimedate-perl, libio-string-perl
