## dpkg 1.17.13ubuntu1.1

=== debian/changelog ===
dpkg (1.17.13ubuntu1.1) utopic-security; urgency=medium

  * SECURITY UPDATE: OpenPGP Armor Header Line parsing issue
    - scripts/Dpkg/Control/HashCore.pm: adjust whitespace parsing.
    - scripts/Makefile.*, scripts/t/Dpkg_Control.t,
      scripts/t/Dpkg_Control/bogus-armor-formfeed.dsc: added tests.
    - Patch thanks to Guillem Jover
    - CVE-2015-0840

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Apr 2015 08:08:57 -0400

dpkg (1.17.13ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Allow -fstack-protector on arm64 now that GCC and glibc support it.
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Aug 2014 12:35:23 -0600

dpkg (1.17.12ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Aug 2014 13:14:31 +0200

dpkg (1.17.10ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Allow -fstack-protector on arm64 now that GCC and glibc support it.
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Jun 2014 12:18:09 -0600

dpkg (1.17.9ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, fixing the testsuite's failure to fail.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 30 Apr 2014 08:24:27 -0600

dpkg (1.17.8ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable to bring in several bugfixes, including
    the hostile patch unpack directory traversal fix for CVE-2014-0471

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 28 Apr 2014 21:16:49 -0600

dpkg (1.17.7ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Allow -fstack-protector on arm64 now that GCC and glibc support it.
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider RC packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
  * Drop obsolete migration code and guards from pre-trusty dpkg versions.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Apr 2014 18:14:10 -0600
