## dpkg 1.17.21

=== debian/changelog ===
dpkg (1.17.21) unstable; urgency=low

  [ Guillem Jover ]
  * Get consistent git-style diff support, by adding (>= 2.7) to the dpkg-dev
    patch Depends, and a Breaks patch (<< 2.7) to libdpkg-perl.
  * Error out on obsolete Build-Profiles field syntax.
  * Document -g and -G options in dpkg-genchanges(1). Closes: #766568
  * Do not accept values bundled with long options in dpkg-parsechangelog.
    The parser was accepting things like «--count10», which is just broken.
    Instead allow only «--count=10» in addition to «--count 10».
  * Accept «-S value» in addition to «-Svalue» in dpkg-parsechangelog.
    Closes: #766559
  * Add support for new interest-await and activate-await trigger directives.
    And a new --await option to dpkg-trigger. This might allow possibly
    switching the default meaning after a transition period no shorter than
    two minor versions, so in 1.19.x or 1.20.x. Perhaps.
  * Do trigger cycle detection after dependency checks in dependtry <= 1,
    and before dependency cycle breaking in dependtry > 1. This makes sure
    to always catch trigger cycles, but still gives the opportunity to try
    to process triggers for packages that are not yet ready in the first
    dependtry, but which might be a bit later on, without wrongly detecting
    avoidable and bogus trigger cycles. Closes: #766557
  * Update features removal schedule:
    - The -u, --udeb dpkg-scanpackages options got removed, state that.
    - Remove the entry about obsolete fields, as these need to be preserved
      for backward compatibility, they are part of the external interface to
      be able to handle ancient binary packages.

  [ Updated programs translations ]
  * Catalan (Guillem Jover).
  * German (Sven Joachim). Closes: #766311
  * Simplified Chinese (Zhou Mo).

  [ Updated scripts translations ]
  * Catalan (Guillem Jover).

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Oct 2014 02:21:43 +0200

dpkg (1.17.20) unstable; urgency=low

  [ Guillem Jover ]
  * Add a requeueing insertion protection for process_queue().
  * Make sure to always switch to the next dependtry after we have made no
    progress for a while. Regression stemming from non future proof changes
    introduced with the initial triggers implementation in dpkg 1.14.17
    combined with changes in dpkg 1.17.19. Closes: #766242, #766322
  * Make the initial dependtry be 1 instead of 0. This gets rid of an unused
    dependtry step, which got accidentally introduced when the perl dpkg was
    rewritten in C, ages ago.
  * Allow detached upstream signatures for upstream orig.tar files in the
    .dsc file. Suggested by Daniel Kahn Gillmor <dkg@fifthhorseman.net>.
    Closes: #759478
  * Inline alternative status description into translatable string in
    update-alternatives. Required-by: #766311
  * Reword description for installed status in dpkg(1) man page.

  [ Updated programs translations ]
  * German (Sven Joachim).
  * Simplified Chinese (Zhou Mo).
  * Vietnamese (Trần Ngọc Quân).

 -- Guillem Jover <guillem@debian.org>  Thu, 23 Oct 2014 00:43:05 +0200

dpkg (1.17.19) unstable; urgency=low

  [ Guillem Jover ]
  * Bump the Breaks on devscripts to 2.14.10 due to the new dpkg-architecture
    command-line parsing strictness introduced in 1.17.17. Closes: #764965
  * Create pidfiles even when start-stop-daemon is not asked to background
    the process itself. Although a bit of a dubious usage, because any error
    before executing the program will not be properly reported to the caller.
    Regression introduced in dpkg 1.17.14. Closes: #765110
  * Add new --remove-pidfile option to start-stop-daemon.
  * Mention --pid and --ppid in start-stop-daemon(8) man page DESCRIPTION.
  * Add invoke hooks for dpkg --add-architecture and --remove-architecture.
    Prompted by Helmut Grohne <helmut@subdivi.de>.
  * Reverse --verify-format logic to actually accept 'rpm' as valid.
    Closes: #765907
  * Fix trigger dependency checks and cycle detection.
    Regression introduced in dpkg 1.17.17.
    Closes: #765434, #765668, #765734, #765781, #765789, #765952
  * Rework dependency problem debug and notice output on trigger processing.

  [ Updated programs translations ]
  * Italian (Milo Casagrande): Closes: #765748
  * Turkish (Mert Dirik). Closes: #764942
  * Simplified Chinese (Zhou Mo). Closes: #765693

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Oct 2014 15:17:49 +0200

dpkg (1.17.18) unstable; urgency=low

  [ Guillem Jover ]
  * Handle empty minimum versions when initializing dependency versions,
    as the code is mapping the minimum version 0 to '' to avoid outputting
    useless versions. Regression introduced in dpkg 1.17.17. Closes: #764929

  [ Updated programs translations ]
  * Catalan (Guillem Jover).

  [ Updated dselect translations ]
  * Catalan (Guillem Jover).
  * German (Sven Joachim).

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Oct 2014 15:47:44 +0200

dpkg (1.17.17) unstable; urgency=low

  [ Guillem Jover ]
  * Add dpkg-vendor, Dpkg/File.pm and Dpkg/Util.pm to the list of files with
    translatable strings, so that they can be translated.
  * Fix some typos for versioned and mentioned in comments and changelogs.
  * Mark for translation and unify "rm cleanup" string in dpkg.
  * Mark for translation and improve dselect method handling error messages.
  * Defer trigger processing if the package does not fulfill dependencies.
    Closes: #671711
  * Do not write to the database when changing selections with --dry-run.
    Closes: #764673
  * Add missing imports from Dpkg::BuildProfiles in dpkg-genchanges.
    Regression introduced in dpkg 1.17.14. Closes: #764216
    Reported by Johannes Schauer <j.schauer@email.de>.
  * Initialize dependencies with the correct minimum version from a symbols
    file with multiple SONAMEs in dpkg-shlibdeps.

