=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg.git
 Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7), pkg-config, flex,
  gettext (>= 0.18), po4a (>= 0.41),
  zlib1g-dev, libbz2-dev, liblzma-dev,
@@ -71,11 +71,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (= ${source:Version}), bzip2, xz-utils,
- patch, make, binutils, base-files (>= 5.0.0), ${misc:Depends}
+ patch (>= 2.7), make, binutils, base-files (>= 5.0.0), ${misc:Depends}
 Recommends: gcc | c-compiler, build-essential, fakeroot,
  gnupg | gnupg2, gpgv | gpgv2, libalgorithm-merge-perl
 Suggests: debian-keyring
-Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.14.4)
+Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.14.10)
 Replaces: manpages-it (<< 2.80-4)
 Description: Debian package development tools
  This package provides the development tools (including dpkg-source)
@@ -93,15 +93,17 @@
 Recommends: libfile-fcntllock-perl, bzip2, xz-utils
 Suggests: debian-keyring, gnupg | gnupg2, gpgv | gpgv2,
  gcc | c-compiler, binutils, patch
-Breaks: dpkg-dev (<< 1.15.6)
+Breaks: dpkg-dev (<< 1.15.6), patch (<< 2.7)
 Replaces: dpkg (<< 1.15.8), dpkg-dev (<< 1.15.6)
 Description: Dpkg perl modules
  This package provides the perl modules used by the scripts
  in dpkg-dev. They cover a wide range of functionality. Among them
  there are the following public modules:
  .
+  - Dpkg: core variables
   - Dpkg::BuildFlags: set, modify and query compilation build flags
   - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
+  - Dpkg::BuildProfile: parse and manipulate build profiles
   - Dpkg::Changelog: parse Debian changelogs
   - Dpkg::Checksums: generate and parse checksums
   - Dpkg::Compression::Process: wrapper around compression tools
@@ -110,10 +112,12 @@
   - Dpkg::Control: parse and manipulate Debian control information
     (.dsc, .changes, Packages/Sources entries, etc.)
   - Dpkg::Deps: parse and manipulate dependencies
+  - Dpkg::Exit: push, pop and run exit handlers
   - Dpkg::Gettext: wrapper around Locale::gettext
   - Dpkg::IPC: spawn sub-processes and feed/retrieve data
   - Dpkg::Index: collections of Dpkg::Control (Packages/Sources files for
     example)
+  - Dpkg::Interface::Storable: base object serializer
   - Dpkg::Path: common path handling functions
   - Dpkg::Source::Package: extract Debian source packages
   - Dpkg::Substvars: substitute variables in strings
