## dpkg 1.17.22

=== debian/changelog ===
dpkg (1.17.22) unstable; urgency=low

  [ Guillem Jover ]
  * Add version introducing --ctrl-tarfile in dpkg-deb(1) man page.
  * Bump minimal version for dir_to_symlink and symlink_to_dir commands
    to 1.17.14 in dpkg-maintscript-helper(1) man page. Closes: #769843
  * Reintroduce update-alternatives, dpkg-divert and dpkg-statoverride
    compatibility symlinks under /usr/sbin/. There are still packages
    using those paths, but the relevant lintian check did not list any,
    so this got removed prematurely.
  * Add Breaks on old man-db, fontconfig and readahead-fedora packages using
    awaiting triggers, as they produce trigger cycles. Closes: #768599
  * Escape package and architecture names on control file parsing warning,
    as those get injected into a variable that is used as a format string,
    and they come from the package fields, which are under user control.
    Regression introduced in dpkg 1.16.0. Fixes CVE-2014-8625. Closes: #768485
    Reported by Joshua Rogers <megamansec@gmail.com>.
  * Do not match partial field names in control files. Closes: #769119
    Regression introduced in dpkg 1.10.
  * Fix build on Mac OS X. Regression introduced in dpkg 1.17.11.
    Reported by Dominyk Tiller <dominyktiller@gmail.com>.
  * Normalize tar entry uid and gid from the current system only in dpkg
    unpack. Regression introduced in dpkg 1.17.14. Closes: #769211
  * Restore multiple processing instances check for packages and archives
    specified on the command-line. Regression introduced in dpkg 1.17.20.
  * Fail on trigger processing when it is required to progress. Trigger
    processing is sometimes required and sometimes opportunistic, and we
    should only fail on the former but ignore the latter. Closes: #768852
  * Do not ignore trigger cycles for direct dependencies, these are just
    normal trigger cycles, and as such should not be special cased.
  * Register all pending triggers for deferred processing when being called
    as «dpkg --configure pkgname…». This is a mostly conformant workaround
    for frontends like apt that do not correctly call «dpkg --configure -a»
    or «dpkg --triggers-only -a» after their normal runs, and leave packages
    in triggers-pending and triggers-awaited states. Closes: #766758

  [ Updated programs translations ]
  * Catalan (Guillem Jover).
  * Danish (Joe Dalton).
  * French (Sébastien Poher).
  * German (Sven Joachim).
  * Japanese (Kenshi Muto). Closes: #771255
  * Polish (Łukasz Dulny).
  * Simplified Chinese (Zhou Mo). Closes: #766724, #770280
  * Swedish (Peter Krefting).
  * Turkish (Mert Dirik).
  * Vietnamese (Trần Ngọc Quân)

  [ Updated scripts translations ]
  * French (Sébastien Poher).
  * German (Helge Kreutzmann).
  * Swedish (Peter Krefting).

  [ Updated manpages translations ]
  * French (Sébastien Poher). Closes: #767934
  * German (Helge Kreutzmann). Closes: #752123
  * Simplified Chinese (Zhou Mo). Closes: #767573
  * Swedish (Peter Krefting).

  [ Updated dselect translations ]
  * Danish (Joe Dalton).
  * Dutch (Frans Spiesschaert). Closes: #771237
  * French (Sébastien Poher). Closes: #767918
  * Japanese (Kenshi Muto). Closes: #771256
  * Swedish (Peter Krefting).

 -- Guillem Jover <guillem@debian.org>  Fri, 28 Nov 2014 02:02:34 +0100
