=== debian/control ===
--- 
+++ 
@@ -36,6 +36,10 @@
 Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
 Depends: ${misc:Depends}
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
+# These cause trigger cycles due to using awaiting trigger directives.
+ man-db (<< 2.6.3-6), fontconfig (<< 2.11.0-6.2),
+ readahead-fedora (<< 2:1.5.6-5.2),
+# These do not support triggers.
  apt (<< 0.7.7), aptitude (<< 0.4.7-1)
 Conflicts:
 # The following Conflicts against removed packages using install-info
