## dpkg 1.17.22tanglu1

=== debian/changelog ===
dpkg (1.17.22tanglu1) staging; urgency=medium

  * Don't error out when passing different build-types to dpkg-buildpackage
    and dpkg-genchanges, until all broken sbuild instances are fixed.
    This change should be reverted for Chromodoris.

 -- Matthias Klumpp <mak@debian.org>  Tue, 02 Dec 2014 20:57:36 +0100

dpkg (1.17.13tanglu1) staging; urgency=medium

  * Don't error out when passing different build-types to dpkg-buildpackage
    and dpkg-genchanges until sbuild is fixed to permit just passing -A to them

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Aug 2014 01:11:42 +0200
