=== debian/control ===
--- 
+++ 
@@ -37,8 +37,23 @@
 Depends: ${misc:Depends}
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
 # These cause trigger cycles due to using awaiting trigger directives.
+ apt-cudf (<< 3.3~beta1-3),
+ auctex (<= 11.87-3),
+ ccache (<< 3.1.10-1),
+ cups (<< 1.7.5-10),
+ distcc (<< 3.1-6.1),
+ fusionforge-plugin-mediawiki (<< 5.3.2+20141104-3),
+ gap-core (<< 4r7p5-2),
+ gxine (<= 0.5.908-3),
+ hoogle (<< 4.2.33-4),
+ icecc (<= 1.0.1-1),
+ libjs-protoaculous (<< 5),
  man-db (<< 2.6.3-6), fontconfig (<< 2.11.0-6.2),
+ mcollective (<< 2.6.0+dfsg-2.1),
+ pypy (<< 2.4.0+dfsg-3),
  readahead-fedora (<< 2:1.5.6-5.2),
+ wordpress (<< 4.1+dfsg-1),
+ xfonts-traditional (<< 1.7),
 # These do not support triggers.
  apt (<< 0.7.7), aptitude (<< 0.4.7-1)
 Conflicts:
