## dpkg 1.17.24

=== debian/changelog ===
dpkg (1.17.24) unstable; urgency=low

  [ Guillem Jover ]
  * Add missing versioned Breaks on packages creating trigger cycles.
    Namely debian-security-support, doc-base, gitweb, grace, install-info,
    libapache2-mod-php5, libapache2-mod-php5filter, php5-fpm and xine-ui.
    Closes: #774794
  * Switch versioned Breaks for trigger cycles from <= to << relations (with
    the necessary version adjustments).
  * Add Conflicts for removed packages expecting dpkg to ship install-info.
    Namely octave3.2-info, octave3.0-info and polgen-doc. Closes: #776984
  * Do not accept unknown user or group names on «dpkg-statoverride --add».
    Regression introduced in dpkg 1.17.11. Closes: #775124
  * Check that HAVE_DECL_SYS_SIGLIST is 0 instead of undefined, to fix a
    build failure on uclibc based systems. Closes: #777044
    Based on a patch by Alex Potapenko <opotapenko@gmail.com>.
  * Disable dependency checks on trigger processing. There are still trigger
    cycles showing up this close to the Debian release, which are hard to
    detect automatically as they are caused by maintainer script actions.
    Requested by Niels Thykier <niels@thykier.net> (Debian Release Manager).

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Updated programs translations ]
  * All complete languages (shadow package).
  * Thai (Theppitak Karoonboonyanan).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Feb 2015 22:54:51 +0100
