## dpkg 1.17.24tanglu0.3

=== debian/changelog ===
dpkg (1.17.24tanglu0.3) bartholomea-updates; urgency=medium

  * Allow for backports in the versioned Breaks for trigger cycles.
  * Reduce the versoned Breaks: on apt-cudf, fusionforge-plugin-mediawiki
    and mcollective to allow for tanglu backports of the trigger cycle fix.
  * Drop versioned Breaks: on auctex, hoogle, pypy.
    - Too problematic to backport the fix for these packages, and while
      dist-upgrades involving those packages might still be borked, they
      are not more so than whith 1.17.22, which is already in bartholomea.

 -- Jon Severinsson <jon@severinsson.net>  Sun, 29 Mar 2015 21:00:00 +0200

dpkg (1.17.24tanglu0.1) bartholomea-updates; urgency=low

  * Merge from Debian, remaining changes:
    - Don't error out when passing different build-types to dpkg-buildpackage
      and dpkg-genchanges, until all broken sbuild instances are fixed.

 -- Jon Severinsson <jon@severinsson.net>  Mon, 23 Mar 2015 23:00:00 +0100

dpkg (1.17.23tanglu1) staging; urgency=medium

  * Don't error out when passing different build-types to dpkg-buildpackage
    and dpkg-genchanges, until all broken sbuild instances are fixed.

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Mon, 19 Jan 2015 15:40:41 +0100
