=== debian/control ===
--- 
+++ 
@@ -37,32 +37,32 @@
 Depends: ${misc:Depends}
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
 # These cause trigger cycles due to using awaiting trigger directives.
- apt-cudf (<< 3.3~beta1-3),
- auctex (<< 11.87-3+deb8u1),
- ccache (<< 3.1.10-1),
- cups (<< 1.7.5-10),
- debian-security-support (<< 2014.10.26),
- distcc (<< 3.1-6.1),
- doc-base (<< 0.10.5),
- fusionforge-plugin-mediawiki (<< 5.3.2+20141104-3),
- gap-core (<< 4r7p5-2),
- gitweb (<< 1:2.1.4-2.1),
- grace (<< 1:5.1.24-3),
- gxine (<< 0.5.908-3.1),
- hoogle (<< 4.2.33-4),
- icecc (<< 1.0.1-2),
- install-info (<< 5.1.dfsg.1-3),
- libapache2-mod-php5 (<< 5.6.4+dfsg-3),
- libapache2-mod-php5filter (<< 5.6.4+dfsg-3),
- libjs-protoaculous (<< 5),
- man-db (<< 2.6.3-6), fontconfig (<< 2.11.0-6.2),
- mcollective (<< 2.6.0+dfsg-2.1),
- php5-fpm (<< 5.6.4+dfsg-3),
- pypy (<< 2.4.0+dfsg-3),
- readahead-fedora (<< 2:1.5.6-5.2),
- wordpress (<< 4.1+dfsg-1),
- xfonts-traditional (<< 1.7),
- xine-ui (<< 0.99.9-1.2),
+ apt-cudf (<< 3.2.2-2tanglu0.1),
+# auctex (<< 11.87-3+deb8u1~),
+ ccache (<< 3.1.10-1~),
+ cups (<< 1.7.5-10~),
+ debian-security-support (<< 2014.10.26~),
+ distcc (<< 3.1-6.1~),
+ doc-base (<< 0.10.5~),
+ fusionforge-plugin-mediawiki (<< 5.3.2-1tanglu0.1),
+ gap-core (<< 4r7p5-2~),
+ gitweb (<< 1:2.1.4-2.1~),
+ grace (<< 1:5.1.24-3~),
+ gxine (<< 0.5.908-3.1~),
+# hoogle (<< 4.2.33-4~),
+ icecc (<< 1.0.1-2~),
+ install-info (<< 5.1.dfsg.1-3~),
+ libapache2-mod-php5 (<< 5.6.4+dfsg-3~),
+ libapache2-mod-php5filter (<< 5.6.4+dfsg-3~),
+ libjs-protoaculous (<< 5~),
+ man-db (<< 2.6.3-6~), fontconfig (<< 2.11.0-6.2~),
+ mcollective (<< 2.5.2+dfsg-13tanglu0.1),
+ php5-fpm (<< 5.6.4+dfsg-3~),
+# pypy (<< 2.4.0+dfsg-3~),
+ readahead-fedora (<< 2:1.5.6-5.2~),
+ wordpress (<< 4.0.1+dfsg-2tanglu0.1),
+ xfonts-traditional (<< 1.7~),
+ xine-ui (<< 0.99.9-1.2~),
 # These do not support triggers.
  apt (<< 0.7.7), aptitude (<< 0.4.7-1)
 Conflicts:
